/*--------- HEADER -------*/
header {
  background-color: rgba(0, 0, 0, 0.7);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: 99;
  /* backdrop-filter: blur(4px); */
  animation: stickyNav 0.5s linear forwards;
  animation-timeline: view();
  animation-range-start: 100vh;
  animation-range-end: 200vh;
}
nav {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
  z-index: 10;
}
.logo-svg {
  width: 40px;
  height: auto;
  fill: white;
}
/* .logo {
        width: 50px;
        background-image: url(../imgs/logo-corazon.webp);
        background-size: contain;
        background-position: left center;
        background-repeat: no-repeat;
        height: 50px;
      } */
.logo-link {
  flex: 1;
  display: inline-block;
  padding-left: 1rem;
}
.main-nav {
  flex: 2;
  display: flex;
  justify-content: flex-start;
}

/* NAV Sin fondo y 90 con fondo */
header {
  background-color: transparent;
  transition: background-color 0.3s ease, backdrop-filter 0.3s ease;
}
header.scrolled {
  background-color: rgba(0, 0, 0, 0.7);
  backdrop-filter: blur(4px);
}
.menu-on {
  width: max(600px, 50%);
}
.menu-on-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style-type: none;
}
.menu-on-nav li a {
  font-size: 1.1rem;
  color: white;
  text-transform: uppercase;
  text-decoration: none;
  font-family: "Ferrari-Regular", sans-serif;
  font-weight: 400;
  letter-spacing: 0.1rem;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  position: relative;
}
/* Hover: Subrayado dorado y ligero zoom */
.menu-on-nav li a:hover {
  transform: scale(1.05);
}
.menu-on-nav li a:hover::after,
.menu-on-nav li a.active::after {
  width: 100%;
}
/* Menú abierto: Mantener color dorado
        header.menu-open .menu-on-nav li a {
          color: var(--champagne);
        } */
header.menu-open .menu-on-nav li a:hover {
  color: var(--a--hover);
  font-weight: 400;
}
.nav-bar {
  display: none;
}
.highlight {
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  display: inline-block;
}
.nav-svg {
  display: flex;
  align-items: center;
}
@media screen and (max-width: 960px) {
  .nav-svg {
    display: none;
  }
}
.fa-location-dot {
  width: 18px;
  height: auto;
  margin-left: 8px;
  display: inline-block;
}
/* FONDO */
.hero-section {
  position: relative;
  z-index: 0;
  padding-top: 100px;
}
.hero-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: calc(60vh - 100px);
}
.hero-image {
  width: 100%;
  height: 60vh;
  background-image: url("../imgs/hero-contact.jpg");
  background-size: cover;
  background-position: center bottom;
  background-repeat: no-repeat;
  background-attachment: fixed;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.hero-content {
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-bottom: 100px;
}
.phrase-hero {
  color: var(--ferrari-white);
  z-index: 1;
}
.phrase-hero h1 {
  text-align: center;
  font-size: 8rem;
  padding: 0;
  margin: 0;
  text-transform: uppercase;
  font-weight: bold;
  color: var(--ferrari-white);
  /* text-shadow: 4px 4px 8px rgba(0, 0, 0, 0.7); */
  /* -webkit-text-stroke: 2px white; */
}
.phrase-hero h1 .outline {
  -webkit-text-stroke-width: 4px;
  -webkit-text-stroke-color: white;
  color: transparent;
}
.phrase-hero h1 span:not(.outline) {
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6),
    -2px -2px 4px rgba(255, 255, 255, 0.4);
  padding-left: 1rem;
}

/* Para asegurar que la imagen del fondo no se vea afectada por el nav */
.hero-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* STORE */
.store-section {
  width: 100%;
  height: auto;
}
.store-container {
  width: 100%;
  height: auto;

  display: flex;
  flex-direction: column;
}
.store-hero {
  position: relative;
  width: 100%;
  height: auto;
}
.store-banner {
  width: 100%;
  height: auto;
  display: block;
}
.store-overlay {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 4rem 9rem;
}
.store-overlay h2 {
  margin: 0;
  font-size: 2.5rem;
}
.store-overlay p {
  font-size: 1.2rem;
  margin-top: 1rem;
  color: var(--ferrari-black);
}
.store-content {
  padding: 4rem 9rem;
  width: 100%;
}
.products-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  margin-top: 2rem;
}
.product-item {
  width: calc(33.333% - 1rem);
  max-width: 400px;
  text-align: center;
  box-sizing: border-box;

  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.product-item img {
  width: 100%;
  height: 400px;
  object-fit: cover;
  border-radius: 8px;
}
.products-grid .product-item:first-of-type img {
  object-position: top;
}
.store-button {
  margin-top: 2rem;
  display: flex;
  justify-content: flex-end;
}
.btn-shop {
  display: inline-block;
  padding: 1rem 2rem;
  background-color: var(--ferrari-red);
  color: white;
  font-weight: bold;
  text-decoration: none;
  border-radius: 8px;
  transition: 0.3s;
}
.btn-shop:hover {
  background-color: var(--ferrari-yellow);
  color: black;
}
.btn-shop i {
  margin-right: 0.5rem;
}

/* Estilos para la sección del Mapa */
.map-section {
  width: 100%;
  padding: 0;
  margin: 0;
}
.map-container iframe {
  width: 100%;
  height: 480px;
  border: none;
}

/* Testimonios */
.testimonials-section {
  width: 100%;
  height: auto;
  padding: 4rem 9rem;
}
.testimonials-container {
  width: 100%;
  height: auto;
  margin: 0 auto;
  text-align: left;
  display: flex;
  flex-direction: column;
}
.testimonials-title {
  font-size: 2.5rem;
  font-weight: bold;
  color: var(--ferrari-red);
}
.testimonials-subtitle {
  font-size: 1.5rem;
  color: var(--ferrari-white);
}
.testimonials-cards {
  display: flex;
  justify-content: space-around;
  gap: 2rem;
  margin-top: 3rem;
  flex-wrap: wrap;
}
.testimonial-card {
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 300px;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: left;
}
.testimonial-img {
  width: 100%;
  height: auto;
  object-fit: cover;
  margin-bottom: 1.5rem;
}
.testimonial-content h3 {
  font-size: 1.8rem;
  font-weight: bold;
  color: var(--ferrari-black);
  margin-bottom: 1rem;
}
.testimonial-quote {
  color: var(--ferrari-gray);
  color: black;
  text-align: left;
}
.testimonial-button {
  margin-top: 3rem;
  text-align: end;
}
.btn-explore {
  background-color: var(--ferrari-red);
  color: white;
  padding: 1rem 2rem;
  text-decoration: none;
  border-radius: 8px;
  font-weight: bold;
  transition: 0.3s;
}
.btn-explore:hover {
  background-color: var(--ferrari-yellow);
  color: black;
}
.btn-explore i {
  margin-left: 8px;
}
.testimonial-rating i {
  color: #ffd700;
  margin-right: 5px;
  margin-top: 1rem;
}

/* FAQ Section */
.faq-section {
  width: 100%;
  height: auto;

  padding: 4rem 9rem;
}
.faq-container {
  width: 100%;
  height: auto;

  display: flex;
  flex-direction: column;
}
.faq-title {
  font-size: 2.5rem;
  font-weight: bold;
  margin-bottom: 2rem;
}
.faq-item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  border-bottom: 1px solid #ddd;
  padding: 1rem 0;
}
.faq-question {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  width: 100%;
}
.faq-question p {
  margin: 0;
  font-size: 1.1rem;
}
.faq-answer {
  display: none;
  margin-top: 1rem;
  font-size: 1rem;
  color: #333;
}
.faq-question i {
  font-size: 1.5rem;
  transition: transform 0.3s ease;
}
.faq-question.open i {
  transform: rotate(180deg);
}
.faq-question.open + .faq-answer {
  display: block;
}

/* Sección de Contacto */
.contact-section {
  width: 100%;
  height: auto;

  padding: 4rem 9rem;
}
.contact-container {
  width: 100%;
  height: auto;

  display: flex;
  flex-direction: column;
}
.contact-title {
  font-size: 2.5rem;
  padding-bottom: 2rem;
}
.contact-info {
  display: flex;
  justify-content: space-between;
  margin-bottom: 3rem;
}
.contact-info div {
  width: 48%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.contact-info h3 {
  color: var(--ferrari-yellow);
  font-size: 1.6rem;
  margin-bottom: 1rem;
}
.contact-info p {
  font-size: 1rem;
}
.social-icons {
  display: flex !important;
  flex-direction: row !important;
  gap: 1rem;
}
.social-icon {
  font-size: 1.5rem;
  color: #333;
  transition: color 0.3s;
}
.social-icon:hover {
  color: var(--ferrari-red);
}
.contact-form {
  width: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--ferrari-light-gray);
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.contact-form h3 {
  font-size: 1.8rem;
  margin-bottom: 1.5rem;
}
.contact-form label {
  color: var(--ferrari-black);
  display: block;
  margin-bottom: 0.5rem;
  font-weight: bold;
}
.contact-form input,
.contact-form textarea {
  width: 100%;
  padding: 1rem;
  margin-bottom: 1.5rem;
  border: 1px solid var(--ferrari-dark-gray);
  border-radius: 8px;
  font-size: 1rem;
  resize: vertical;
}
.contact-form button {
  width: 100%;
  padding: 1rem;
  background-color: var(--ferrari-red);
  color: var(--ferrari-black);
  border: none;
  border-radius: 8px;
  font-size: 1.1rem;
  cursor: pointer;
  transition: background-color 0.3s;
}
.contact-form button:hover {
  background-color: var(--ferrari-yellow);
}
.contact-form button i {
  margin-left: 0.5rem;
  font-size: 1.2rem;
}

/* ------------ MEDIA QUERY --------------------  */
@media screen and (max-width: 1800px) {
  .store-overlay p {
    max-width: 50ch;
  }
}
@media screen and (max-width: 1400px) {
  .store-overlay p {
    max-width: 40ch;
  }
}
@media screen and (max-width: 1200px) {
  .store-overlay p {
    max-width: 30ch;
  }
  .store-content {
    padding: 4rem 4rem;
  }
}
@media screen and (max-width: 960px) {
  .phrase-hero h1 {
    font-size: 6rem;
  }
  .store-overlay p {
    display: none;
  }
  .store-overlay h2 {
    font-size: 2rem;
  }
  .products-grid {
    gap: 1rem;
  }
  .product-item {
    width: calc(50% - 1rem);
    max-width: none;
  }
  .store-overlay {
    padding: 4rem 4rem;
  }
  .testimonials-section {
    padding: 4rem 4rem;
  }
  .testimonials-title {
    font-size: 2rem;
  }
  .faq-section {
    padding: 4rem 4rem;
  }
  .contact-section {
    padding: 4rem 4rem;
  }
  .contact-title {
    font-size: 2rem;
  }
  .faq-title {
    font-size: 2rem;
  }
}
@media screen and (max-width: 700px) {
  .phrase-hero h1 {
    font-size: 4rem;
  }
  .product-item {
    width: 100%;
  }
  .store-button {
    justify-content: center;
  }
  .contact-info {
    flex-direction: column;
    gap: 2rem;
  }
  .contact-info div {
    width: 100%;
    align-items: center;
  }
  .social-icons {
    justify-content: center;
  }
  .contact-form h3 {
    font-size: 1.5rem;
  }
}
@media screen and (max-width: 500px) {
  .testimonial-button {
    text-align: center;
  }
}
